Page MenuHomePhabricator

[Bug] Selection logic in group_navigator is inconsistent
Closed, ResolvedPublic3 Story Points

Description

Selection should work in same way when adding or deleting part, states, programs, items, data.

  1. Adding
    1. Part
      1. parts block should be expanded
      2. new part should be selected
    2. State
      1. parts block should be expanded
      2. part should be expanded
      3. new state should be selected
    3. Item
      1. parts block should be expanded
      2. part should be expanded
      3. items block should be expanded
      4. new item should be selected
    4. Program
      1. programs block should be expanded
      2. new program should be selected
    5. Data
      1. data block should be expanded
      2. new data item should be selected
  2. Deleting
    1. next item of the same type in that sub tree should be selected
    2. if there are no next item prev item of the same type in that sub tree should be selected
    3. if there are no prev item caption of that sub-tree should be selected
NikaWhite edited projects, added Eflete (Eflete 0.7); removed Eflete.
an.kroitor updated the task description. (Show Details)Jul 12 2016, 12:53 AM
an.kroitor set the point value for this task to 3.Jul 13 2016, 5:43 AM
an.kroitor moved this task from Doing to Done on the Eflete (Eflete 0.7) board.
rimmed closed this task as Resolved.Jul 18 2016, 4:18 AM